
Foreman - Bug #5941

DHCP validation errors when proxy returns nil

05/27/2014 02:20 PM - Greg Sutcliffe

Status: Closed   

Priority: Normal   

Assignee: Greg Sutcliffe   

Category: DHCP   

Target version: 1.5.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.5.0

Bugzilla link: 1107670 Red Hat JIRA:  

Pull request:    

Description

If the proxy has no record of a given lease, the DHCP .valid? method will bomb out, instead of correctly returning false.

Associated revisions

Revision 1b726d4f - 06/06/2014 11:55 AM - Greg Sutcliffe

Fixes #5941 - Handle nil comparison object in DHCP::Record.valid?

Revision 0b7b8e6f - 06/11/2014 01:02 PM - Greg Sutcliffe

Fixes #5941 - Handle nil comparison object in DHCP::Record.valid?

(cherry picked from commit 1b726d4f4b714adab0a078432fc45d90a8ad2277)

History

#1 - 05/27/2014 02:36 PM - Greg Sutcliffe

- Status changed from Assigned to Ready For Testing

https://github.com/theforeman/foreman/pull/1481

#2 - 06/06/2014 11:54 AM - Dominic Cleal

- Assignee set to Greg Sutcliffe

- translation missing: en.field_release set to 16

#3 - 06/06/2014 12:31 PM - Greg Sutcliffe

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 1b726d4f4b714adab0a078432fc45d90a8ad2277.

#4 - 06/10/2014 12:36 PM - Bryan Kearney

- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1107670
